Package wx :: Module combo :: Class BitmapComboBox

[frames | no frames]

## Type BitmapComboBox

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                     ComboCtrl --+
                                 |
                    object --+   |
                             |   |
                 ItemContainer --+
                                 |
                OwnerDrawnComboBox --+
                                     |
                                    BitmapComboBox

A combobox that displays a bitmap in front of the list items. It currently only allows using bitmaps of one size, and resizes itself so that a bitmap can be shown next to the text field.

# Window Styles

> wx.CB_READONLY | Creates a combobox without a text editor. On some platforms the control may appear very different when this style is used.
> wx.CB_SORT | Sorts the entries in the list alphabetically.
> wx.TE_PROCESS_ENTER | The control will generate the event wx.EVT__TEXT_ENTER (otherwise pressing Enter key is either processed internally by the control or used for navigation between dialog controls).

Method Summary
BitmapComboBox | ``__init__`(self, parent, id, value, pos, size, choices, style, validator, name)` Standard constructor
int | ``Append`(self, item, bitmap, clientData)` Adds the item to the control, associating the given data with the item if not None.
bool | ``Create`(self, parent, id, value, pos, size, choices, style, validator, name)` Create the UI object, and other initialization.
Size | ``GetBitmapSize`(self)` Returns size of the image used in list.
Bitmap | ``GetItemBitmap`(self, n)` Returns the image of the item with the given index.
int | ``Insert`(self, item, bitmap, pos, clientData)` Insert an item into the control before the item at the `pos` index, optionally associating some data object with the item.
| ``SetItemBitmap`(self, n, bitmap)` Sets the image for the given item.

Property Summary
| `thisown`: The membership flag

Class Variable Summary

Instance Method Details

### __init__(self, parent, id=-1, value=EmptyString, pos=DefaultPosition, size=DefaultSize, choices=wxPyEmptyStringArray, style=0, validator=DefaultValidator, name=wxBitmapComboBoxNameStr)
(Constructor)

Standard constructor

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `value`
    (type=String)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `choices`
    (type=wxArrayString)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    BitmapComboBox
  Overrides:
    `wx.combo.OwnerDrawnComboBox.__init__`

### Append(self, item, bitmap=wxNullBitmap, clientData=None)

Adds the item to the control, associating the given data with the item if not None. The return value is the index of the newly added item.

  Parameters:
    `item`
    (type=String)

    `bitmap`
    (type=Bitmap)

    `clientData`
    (type=PyObject)

  Returns:
    int
  Overrides:
    `wx.ItemContainer.Append`

### Create(self, parent, id=-1, value=EmptyString, pos=DefaultPosition, size=DefaultSize, choices=wxPyEmptyStringArray, style=0, validator=DefaultValidator, name=wxBitmapComboBoxNameStr)

Create the UI object, and other initialization.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `value`
    (type=String)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `choices`
    (type=wxArrayString)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.combo.OwnerDrawnComboBox.Create`

### GetBitmapSize(self)

Returns size of the image used in list.

  Returns:
    Size

### GetItemBitmap(self, n)

Returns the image of the item with the given index.

  Parameters:
    `n`
    (type=int)

  Returns:
    Bitmap

### Insert(self, item, bitmap, pos, clientData=None)

Insert an item into the control before the item at the `pos` index, optionally associating some data object with the item.

  Parameters:
    `item`
    (type=String)

    `bitmap`
    (type=Bitmap)

    `pos`
    (type=int)

    `clientData`
    (type=PyObject)

  Returns:
    int
  Overrides:
    `wx.ItemContainer.Insert`

### SetItemBitmap(self, n, bitmap)

Sets the image for the given item.

  Parameters:
    `n`
    (type=int)

    `bitmap`
    (type=Bitmap)

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1217726788(...)
  Set Method:
    unknown--1217726732(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:39 2007 | http://epydoc.sf.net